title: Section
fields:
  -
    import: background_color
  -
    handle: section
    field:
      type: replicator
      hide_display: true
      always_show_set_button: true
      display: 'Section content'
      localizable: false
      sets:
        blocks:
          display: Blocks
          icon: layout-table-row-insert
          sets:
            image:
              display: Image
              icon: media-image-picture-orientation
              fields:
                -
                  import: image
            statistic:
              display: Statistic
              icon: alert-warning-exclamation-mark
              fields:
                -
                  import: statistic
            title:
              display: Title
              icon: text-formatting-all-caps
              fields:
                -
                  handle: section_title
                  field:
                    type: text
                    display: 'Section title'
                    localizable: false
        columns:
          display: Columns
          icon: layout-table-column-insert
          sets:
            single_column:
              display: 'Single column'
              icon: layout-header
              fields:
                -
                  import: single_column
            double_column:
              display: 'Double column'
              icon: layout-two-columns
              fields:
                -
                  import: double_column
            triple_column:
              display: 'Triple column'
              icon: layout-three-columns
              fields:
                -
                  import: triple_column
